Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 09/22/2020 in all areas

  1. ;;;https://www.theswamp.org/index.php?topic=56258.0 ;; @Tharwat (defun c:Test (/ int sel ent) (and (or (/= 4 (logand 4 (cdr (assoc 70 (entget (tblobjname "LAYER" "wall")))) ) ) (alert "Layer name <wall> is locked ! unlock then try again" ) ) (setq int -1 sel (ssget "_X" (list '(0 . "LWPOLYLINE") '(8 . "wall") (cons 410 (getvar 'CTAB)) ) ) ) (setvar 'FILLETRAD 0.25) (while (setq int (1+ int) ent (ssname sel int) ) (command "_.FILLET" "_Polyline" ent) ) ) (princ) )
    2 points
  2. If your drawing is metric, try setting the system variable "DIMZIN" to 0 (zero) . Settings 0->3 only affect feet and inches and in 2012 this doesn't suppress trailing zero's in metric drawings. You can test on the command line with (rtos num 2 3)
    1 point
  3. Set the system variable DIMZIN to zero before running the rots function then set it back to its default.
    1 point
  4. if it was me, I would fix it. But I'm kind of a perfectionist.
    1 point
  5. You're trying to use an ellipse as part of your polyline, which won't work. The easiest thing to do would be to draw an arc to replace the ellipse, then you will be able to join it to your polyline.
    1 point
  6. Surfing on cadalyst I found a perfect routine for it... This one will let you edit all attributes belonging to all those selected blocks.. and change Angle, height, style, Text and width factor at once.. The best of it is that is a temporary change that you can revert by using attsync is you want to return the attributes to their original shapes... Here it is eat.lsp
    1 point
  7. You can use a lisp routine for it.. I have a small one to change a bunch of blocks with attributes, but it doesn´t have the option for width... But there is another bigger routine to change a bunch of different types of selected objects, including text, mtext, attributes and attdef... you can use it and filter only one of those types and change only one or several properties at once, it's very easy to use cause it Dialog box based... I always use it in my office.. i hope you know to load lisp routines. The small one is edat.lsp and the other one is DDchtext... usable loading the Dt.lsp and typing "dt" after loading it. dt.zip Edat.lsp
    1 point
×
×
  • Create New...